Package: groovy.transform

## [Java] Annotation Type TypeChecked

- groovy.transform.TypeChecked

-     @Retention(RetentionPolicy.SOURCE)
      @Target({ElementType.TYPE, ElementType.METHOD, ElementType.CONSTRUCTOR})
      @GroovyASTTransformationClass("org.codehaus.groovy.transform.StaticTypesTransformation")
      public @interface TypeChecked

  This will let the Groovy compiler use compile time checks in the style of Java.

  Since:
    2.0.0

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `@interface` | `TypeChecked.TypeCheckingInfo` | This annotation is added by TypeChecked: on methods which have type checking turned on.

  - ### Element Summary

    Optional Element Summary
    Type | Name and Description
    --- | ---
    `String[]` | `extensions` The list of (classpath resources) paths to type checking DSL scripts, also known as type checking extensions.
    `TypeCheckingMode` | `value` Default: TypeCheckingMode.PASS

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Element Detail

    - #### public String[] extensions

      The list of (classpath resources) paths to type checking DSL scripts, also known as type checking extensions.

      Returns:
        an array of paths to groovy scripts that must be on compile classpath
      Default:
        {}

    - #### public TypeCheckingMode value

      Default:
        TypeCheckingMode.PASS